function sendMessage() {
    const chatMessages = document.getElementById('chat-messages');
    const chatInput = document.getElementById('chat-input');
    const message = chatInput.value;
    if (message.trim() !== '') {
        const messageElement = document.createElement('div');
        messageElement.classList.add('chat-message');

        const avatarElement = document.createElement('div');
        avatarElement.classList.add('avatar');

        const avatarImage = document.createElement('img');
        avatarImage.src = 'https://sun9-59.userapi.com/impg/t8GhZ7FkynVifY1FQCnaf31tGprbV_rfauZzgg/fSq4lyc6V0U.jpg?size=1280x1280&quality=96&sign=e3c309a125cb570d2e18465eba65f940&type=album';
        avatarElement.appendChild(avatarImage);

        const messageContentElement = document.createElement('div');
        messageContentElement.classList.add('message-content');

        const usernameElement = document.createElement('div');
        usernameElement.classList.add('username');
        usernameElement.textContent = 'Адель';

        const textElement = document.createElement('div');
        textElement.classList.add('text');
        textElement.textContent = message;

        messageContentElement.appendChild(usernameElement);
        messageContentElement.appendChild(textElement);

        messageElement.appendChild(avatarElement);
        messageElement.appendChild(messageContentElement);

        chatMessages.appendChild(messageElement);

        chatInput.value = '';
        chatMessages.scrollTop = chatMessages.scrollHeight;
    }
}

document.getElementById('chat-input').addEventListener('keydown', function (event) {
    if (event.key === 'Enter') {
        sendMessage();
    }
});