#include <new_york_transit_line/templater.h>
#include <new_york_transit_line/core.h>

int main(int argc, char** argv) {
    if (argc < 2) {
        fprintf(stderr, "Usage: test assets_dir");
        exit(1);
    }

    std::string dir_path = argv[1];
    nytl::Templater templater(nytl::TemplaterSettings{nytl::TemplaterDetourRules{dir_path}});
    templater.update();
    nytl::debug_print_templater(templater);

    std::string answer2 = templater.render("test", {json::JSON()});
    printf("%s\n<a><f><t><e><r><><l><f>\n", answer2.c_str());

    return 0;
}